<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>VecGetValues</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="VecGetValues"><H1>VecGetValues</H1></A>
Gets values from certain locations of a vector. Currently  can only get values on the same processor 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscvec.h" 
PetscErrorCode  VecGetValues(Vec x,PetscInt ni,const PetscInt ix[],PetscScalar y[])
</PRE>
Collective on <A HREF="../Vec/Vec.html#Vec">Vec</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>x </B></TD><TD>- vector to get values from
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>ni </B></TD><TD>- number of elements to get
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>ix </B></TD><TD>- indices where to get them from (in global 1d numbering)
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>y </B> -array of values
<br>
<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
The user provides the allocated array y; it is NOT allocated in this routine
<P>
<A HREF="../Vec/VecGetValues.html#VecGetValues">VecGetValues</A>() gets y[i] = x[ix[i]], for i=0,...,ni-1.
<P>
<A HREF="../Vec/VecAssemblyBegin.html#VecAssemblyBegin">VecAssemblyBegin</A>() and <A HREF="../Vec/VecAssemblyEnd.html#VecAssemblyEnd">VecAssemblyEnd</A>()  MUST be called before calling this
<P>
<A HREF="../Vec/VecGetValues.html#VecGetValues">VecGetValues</A>() uses 0-based indices in Fortran as well as in C.
<P>

<P>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
  <A HREF="../Vec/VecAssemblyBegin.html#VecAssemblyBegin">VecAssemblyBegin</A>(), <A HREF="../Vec/VecAssemblyEnd.html#VecAssemblyEnd">VecAssemblyEnd</A>(), VecGetValuesLocal(),
<BR>VecGetValuesBlocked(), <A HREF="../Sys/InsertMode.html#InsertMode">InsertMode</A>, <A HREF="../Sys/INSERT_VALUES.html#INSERT_VALUES">INSERT_VALUES</A>, <A HREF="../Sys/ADD_VALUES.html#ADD_VALUES">ADD_VALUES</A>, <A HREF="../Vec/VecSetValues.html#VecSetValues">VecSetValues</A>()
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/vec/vec/interface/rvector.c.html#VecGetValues">src/vec/vec/interface/rvector.c</A>
<BR><A HREF="./index.html">Index of all Vec routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
